## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel
Interface SybaseASEProcedure

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Procedure, Routine, SQLObject, SybaseAuthorizedObject, SybaseRoutine

All Known Implementing Classes:
  SybaseASECatalogProcedure, SybaseASEProcedureImpl

    public interface SybaseASEProcedure

extends Procedure, SybaseRoutine

A representation of the model object 'Sybase ASE Procedure'.

The following features are supported:

- `Group Number`
- `Transaction Mode`
- `System Procedure`
- `With Recompile`

See Also:
  `SybaseasesqlmodelPackage.getSybaseASEProcedure()`

Method Summary
`int` `getGroupNumber()` Returns the value of the 'Group Number' attribute.
`TransactionModeType` `getTransactionMode()` Returns the value of the 'Transaction Mode' attribute.
`boolean` `isSystemProcedure()` Returns the value of the 'System Procedure' attribute.
`boolean` `isWithRecompile()` Returns the value of the 'With Recompile' attribute.
`void` `setGroupNumber(int value)` Sets the value of the '`Group Number`' attribute.
`void` `setSystemProcedure(boolean value)` Sets the value of the '`System Procedure`' attribute.
`void` `setTransactionMode(TransactionModeType value)` Sets the value of the '`Transaction Mode`' attribute.
`void` `setWithRecompile(boolean value)` Sets the value of the '`With Recompile`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.routines.Procedure
`getMaxResultSets, getResultSet, isOldSavePoint, setMaxResultSets, setOldSavePoint`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.routines.Routine

`getAuthorizationID, getCreationTS, getExternalName, getInputParameters, getLanguage, getLastAlteredTS, getOutputParameters, getParameters, getParameterStyle, getSchema, getSecurity, getSource, getSpecificName, getSqlDataAccess, isDeterministic, setAuthorizationID, setCreationTS, setDeterministic, setExternalName, setLanguage, setLastAlteredTS, setParameterStyle, setSchema, setSecurity, setSource, setSpecificName, setSqlDataAccess`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.datatools.enablement.sybase.models.sybasesqlmodel.SybaseRoutine
`isSystem, parseParameterDefaultValues`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.routines.Routine

`getAuthorizationID, getCreationTS, getExternalName, getInputParameters, getLanguage, getLastAlteredTS, getOutputParameters, getParameters, getParameterStyle, getSchema, getSecurity, getSource, getSpecificName, getSqlDataAccess, isDeterministic, setAuthorizationID, setCreationTS, setDeterministic, setExternalName, setLanguage, setLastAlteredTS, setParameterStyle, setSchema, setSecurity, setSource, setSpecificName, setSqlDataAccess`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getGroupNumber

    int getGroupNumber()

  Returns the value of the 'Group Number' attribute. The default value is `"-1"`.

  If the meaning of the 'Group Number' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Group Number' attribute.
  See Also:
    `setGroupNumber(int)`, `SybaseasesqlmodelPackage.getSybaseASEProcedure_GroupNumber()`

### setGroupNumber

    void setGroupNumber(int value)

  Sets the value of the '`Group Number`' attribute.

  Parameters:
    `value` - the new value of the 'Group Number' attribute.
  See Also:
    `getGroupNumber()`

### getTransactionMode

    TransactionModeType getTransactionMode()

  Returns the value of the 'Transaction Mode' attribute. The literals are from the enumeration `TransactionModeType`.

  If the meaning of the 'Transaction Mode' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Transaction Mode' attribute.
  See Also:
    `TransactionModeType`, `setTransactionMode(TransactionModeType)`, `SybaseasesqlmodelPackage.getSybaseASEProcedure_TransactionMode()`

### setTransactionMode

    void setTransactionMode(TransactionModeType value)

  Sets the value of the '`Transaction Mode`' attribute.

  Parameters:
    `value` - the new value of the 'Transaction Mode' attribute.
  See Also:
    `TransactionModeType`, `getTransactionMode()`

### isSystemProcedure

    boolean isSystemProcedure()

  Returns the value of the 'System Procedure' attribute.

  If the meaning of the 'System Procedure' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'System Procedure' attribute.
  See Also:
    `setSystemProcedure(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEProcedure_SystemProcedure()`

### setSystemProcedure

    void setSystemProcedure(boolean value)

  Sets the value of the '`System Procedure`' attribute.

  Parameters:
    `value` - the new value of the 'System Procedure' attribute.
  See Also:
    `isSystemProcedure()`

### isWithRecompile

    boolean isWithRecompile()

  Returns the value of the 'With Recompile' attribute.

  If the meaning of the 'With Recompile' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'With Recompile' attribute.
  See Also:
    `setWithRecompile(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEProcedure_WithRecompile()`

### setWithRecompile

    void setWithRecompile(boolean value)

  Sets the value of the '`With Recompile`' attribute.

  Parameters:
    `value` - the new value of the 'With Recompile' attribute.
  See Also:
    `isWithRecompile()`